Subject: Re: netif_rx packet dumping

From: Andi Kleen <[email-masked]>
Date: 8 Mar 2005 23:16:36 +0100

On Tue, Mar 08, 2005 at 07:37:59PM +0100, Thomas Graf wrote:
> * Andi Kleen <[email-masked]> 2005-03-08 19:18
> > There are some other savings possible e.g. from a quick look:
> > - skb->list is afaik totally unnecessary and probably even unused.

I was wrong on that. Removing skb->list would be worthy, but needs
a lot of changes.

[BTW there seems to be large cleanup potential in skb list functions;
lots of cruft and even some unused functions around and the locking
is prehistoric too. In case anybody is interested in a useful cleanup
project]

> > - struct timeval could be an optimized structure using 32bit
> > for the sub second part. 
> > (would need moving it somewhere else, otherwise alignment doesn't help)
> > - Are really three device pointers needed? Perhaps things can
> > be a bit optimized here.
> 
> Likely that real_dev can be moved to cb. I would like to keep indev
> though, it really helps at policy routing decisions.

Moving to cb is useless, you just would need to enlarge it then.

-Andi